<?php
/**
 * @package Voyage
 * @subpackage voyage
 * @since Voyage 1.0
 */
?><!DOCTYPE html>
<!--[if lt IE 7 ]> <html class="no-js ie6" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="no-js ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="no-js ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if (gte IE 9)|!(IE)]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php wp_title('|', true, 'right'); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<div id="wrapper" class="hfeed">
	<header id="masthead" class="site-header clearfix">
<?php
	global $voyage_options, $voyage_post_column;
	
	$voyage_post_column = 0;
	voyage_screen_reader();
	voyage_top_menu(); ?>
		
	<div class="<?php echo voyage_container_class(); ?>">
<?php voyage_header_before_branding(); ?>
	  <div id="branding" class="<?php echo voyage_grid_full(); ?> ">
<?php	get_sidebar('header');
		$header_image = get_header_image();
		if ( !empty( $header_image ) ) {
			if(function_exists('get_custom_header')) {
				$header_width = get_custom_header() -> width;
				$header_height = get_custom_header() -> height;
			}
			else {
				$header_width = HEADER_IMAGE_WIDTH;
				$header_height = HEADER_IMAGE_HEIGHT;				
			}
			$header_class = "";
			if 	($header_width <= 300 && $header_height <= 100){
				$header_class = "hidden-phone";
			}
		}

		if (! empty( $header_image ) && $voyage_options['logopos'] == 2) { ?>
		  <div id="logo" class="<?php echo $header_class; ?>">
              <a href="<?php echo home_url('/'); ?>"><img src="<?php header_image(); ?>" width="<?php echo $header_width; ?>" height="<?php echo $header_height; ?>" alt="<?php bloginfo('name'); ?>" /></a>
		  </div>
<?php	}
		else { ?>
		  <hgroup>
		    <h3 id="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h3>
		    <h3 id="site-description"><?php bloginfo( 'description' ); ?></h3>
		  </hgroup>	
<?php
		}
?>			  
		<div class="clear"></div>
<?php	voyage_header_before_navbar(); ?>		
		<nav id="section-menu" class="navbar">	
		  <div class="navbar-inner">
<?php
			if ( ! empty( $header_image ) )
			  if ($voyage_options['logopos'] == 1 ) {
?>
                <a class="brand" href="<?php echo home_url('/'); ?>"><img src="<?php header_image(); ?>" width="<?php echo $header_width; ?>" height="<?php echo $header_height; ?>" alt="<?php bloginfo('name'); ?>" /></a>
<?php		  }
			  elseif ($header_width <= 300 && $header_height <= 100) {
			     $ratio = 36 / $header_height;
				 $header_height = (int)$header_height * $ratio;
				 $header_width = (int)$header_width  * $ratio;				 
?>
                <a class="brand visible-phone" href="<?php echo home_url('/'); ?>"><img src="<?php header_image(); ?>" width="<?php echo $header_width; ?>" height="<?php echo $header_height; ?>" alt="<?php bloginfo('name'); ?>" /></a>		
<?php	
			  }
?>
			<a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span></a>
			<div class="nav-collapse">
<?php		  if ($voyage_options['searchform'] == 1 || $voyage_options['searchform'] == 2) {
				$phone_class = '';
				if ($voyage_options['searchform'] == 2)
				  $phone_class ="visible-phone"; ?>
    			<form method="get" id="searchform" action="<?php echo esc_url( home_url( '/' ) ); ?>" class="navbar-search pull-right" >
    			<input type="text" class="search-query <?php echo $phone_class; ?>" name="s" id="s1" placeholder="<?php esc_attr_e( 'Search', 'voyage' ); ?>">
					<input type="submit" class="submit" name="submit" id="searchsubmit" value="<?php esc_attr_e( 'Search', 'voyage' ); ?>" />
    				</form>
<?php		  }				
			  if (has_nav_menu('section-menu')) {
				wp_nav_menu( array( 'container_class' => 'section-menu-container', 
									'theme_location' => 'section-menu',
									'menu_class'     => 'nav',
									'walker'         => new voyage_walker_nav_menu,
									'fallback_cb' 	  => false,	
					 		) );					
					
			  } ?>
<?php 		  voyage_subsection_menu(); ?>
			</div><?php //nav-collapse ?>
		  </div><?php //nav-inner ?>
		</nav>		
	  </div><?php //Branding ?>
<?php voyage_header_after_branding(); ?>		
	  
	</div><?php //Container ?>		
	</header>
<?php voyage_header_before_main(); ?>		
	<div id="main">
<?php
	voyage_header_before_container();
	if (is_page_template('page-templates/landing.php')
		|| is_page_template('page-templates/featured.php')
		|| ( is_home() && 
			( $voyage_options['homepage'] == 1 || $voyage_options['homepage'] == 2 ) ) ) {
		echo '<div class="featured-wrapper clearfix">';	
	}
	echo '<div class="' . voyage_container_class() . ' clearfix">';	
?>

